<?php
	error_reporting(E_ALL ^ E_NOTICE);
	@session_start();
	
	// database connect from this server  https://p75.a65.mytemp.website/
	$hostname	= "107.180.115.217";
	$database	= "giftmandu_db";
	$username	= "giftmandu_ur";
	$password	= '7(ZUeKv=)Bno';
	$Conn_db	= mysqli_connect($hostname, $username, $password,$database)	;
	define("ABSOLUTE_PATH",	"https://bulkpromotion.appsserver.net/giftmandu/nabil_bank/");
	define("DOC_ROOT",	$_SERVER['DOCUMENT_ROOT'] . "giftmandu/nabil_bank");
	define("BC_URL",	"https://giftmandu.com/");
	
	// nabil bank
	define("NABIL_API_ENDPOINT",	"https://adapter.nabilbank.com/Exec");
	
	
	define("NABIL_MERCHANT",	"600000001065110");
	define("NABIL_CANCEL_URL",	"https://bulkpromotion.appsserver.net/giftmandu/nabil_bank/cancel.php");
	define("NABIL_SUCCESS_URL",	"https://bulkpromotion.appsserver.net/giftmandu/nabil_bank/success.php");
	define("NABIL_DECLINE_URL",	"https://bulkpromotion.appsserver.net/giftmandu/nabil_bank/decline.php");
	
	
	
	// Bigcommerve Sandbox
	/*define("CLIENT_ID","9aae566ob5uaph6chv5lrxm00epnqya");
	define("CLIENT_SECRET","c1f320890c681a46813d5554e845b388ba9ff05314901863aa5b14e7ded23c01");
	define("AUTH_TOKEN","t4lb316hr1xybzdvom8bn9yqh6c58h6");
	define("STORE_HASH","5sqoyjcgmp");*/
	// Bigcommerve Live
	define("CLIENT_ID","sguk1zcs0abuusg6ouy6k6jsb0wi55i");
	define("CLIENT_SECRET","618803740f07748dd36427109542ca61162526bcf86c6c9ab89ad5d2305ed725");
	define("AUTH_TOKEN","iw0ze6j2kr94uf9a0n03wuh6u9alfuo");
	define("STORE_HASH","tgrcca6nho");
/*	// CYBERSOURCE Live
	define("CYBERSOURCE_ACCESS_KEY","88c9681d38e839ee81691755e79255d2");
	define("CYBERSOURCE_SECRET_KEY","bba30f08c8d747e188539bae9d35d4b61e7912278b5b43e9b4bafbbd3e70bfd6af32d46df295429487c714691fe9179322d20fd06ed4479490e16ccc95b7799dbc9d96d350a048cabd2900c98c42c630d7ebd8655fd74b2cb449bc92342fdbfb6f9119ec98014203b68bf55d2888d9c2bef62f5779cf4670be97193bd910d36e");
	define("CYBERSOURCE_PROFILE_ID","100710070000032");
*/
	// CYBERSOURCE Sandbox
	define("CYBERSOURCE_ACCESS_KEY","e740a866c27f3dbaba5e607f6c44bde7");
	define("CYBERSOURCE_SECRET_KEY","7231e8074765448e9d5fad84677887ef9ddd1ee31a444c949de8737fafb076941e725c61e03a4e4d9b1382826e36a8db581a8a32b321417bb1c98b5d4ede5b96da838af82fa34633af829c117ea9ec89bea92df8f3744feca1e1e4e2b2e17c5f0f52261084b9493da0685496fef8ebfa9e680e66140043cbb7862db88fae95e6");
	define("CYBERSOURCE_PROFILE_ID","A0734014-FD53-4AA3-A3AB-F90504397C5C");
/*
	// CYBERSOURCE Sandbox
	define("CYBERSOURCE_ACCESS_KEY","179b8eb348e337ef8e3dff1ae3ef99e7");
	define("CYBERSOURCE_SECRET_KEY","8f971aed076a458685fdcada178472439d014a5951d942adbf8e1c75ad5d755c105035cfa56f44f39faad2b3aa41ee3040a65e93de4848d8a8987b36144f2437c405dc1d9c8c41d39e1744e7b69a23cc29f605bcd9404f09ba9d3c59732f5d90cd1a644b65a348248edcfc6c224c9af104d665ce631b4b7e9328c5e51b032c0c");
	define("CYBERSOURCE_PROFILE_ID","A0734014-FD53-4AA3-A3AB-F90504397C5C");
*/
	// ESEWA Sandbox
/*	define("ESEWA_TRANSACTION_URL", "https://uat.esewa.com.np/api/epay/transaction/status/");
	define("ESEWA_FORM_URL", "https://rc-epay.esewa.com.np/api/epay/main/v2/form");
	define("ESEWA_SECRET", "8gBm/:&EnhH.1/q");
	define("ESEWA_PRODUCT_CODE", "EPAYTEST");
*/

	// ESEWA Live
	define("ESEWA_TRANSACTION_URL", "https://epay.esewa.com.np/api/epay/transaction/status/");
	define("ESEWA_FORM_URL", "https://epay.esewa.com.np/api/epay/main/v2/form");
	define("ESEWA_SECRET", "IhoDAwwSBQEMSxAKGlsUAgMNCBILExQ=");
	define("ESEWA_PRODUCT_CODE", "giftmandu");

	$liveurl    = 'https://secureacceptance.cybersource.com/pay';
	$sandboxurl = 'https://testsecureacceptance.cybersource.com/pay';
    $action_url = $sandboxurl;
	include("functions.php");
?>